Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0045550
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajoralways2020-12-09 18:552021-01-14 16:34
ReporterlmonrealView Statuspublic 
Assigned Tomarkmm82 
PriorityurgentResolutionfixedFixed in VersionRR21Q2
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toadrianromero
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0045550: Unable to retrieve approval information when reprinting a ticket

DescriptionWhen there is an approval in the ticket (we display this information in the original ticket) if the ticket is reprinted the approval is missing.

It seems that this information is not loaded when you search for a closed ticket. OB.MobileApp.model.receipt.get('approvals')
Steps To Reproduce-Add product
-Do a price modification that requires an approval
-Enter approval
-Check OB.MobileApp.model.receipt.get('approvals')
-Pay it
-On the backoffice Approval information is present
-Load the ticket on WebPOS
-Check OB.MobileApp.model.receipt.get('approvals')

Information is not loaded

Proposed SolutionLoad the missing information on the PaidReceipts
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0125329)
hgbot (developer)
2021-01-08 13:23

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal/-/merge_requests/247 [^]
(0125362)
hgbot (developer)
2021-01-12 09:51

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal/-/merge_requests/247 [^]
(0125363)
hgbot (developer)
2021-01-12 09:51

Directly closing issue as related merge request is already approved.

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal [^]
Changeset: 2443380848fed7409db183f795df2e41e79bae81
Author: Mark <markmm82@gmail.com>
Date: 2021-01-12T08:50:49+00:00
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal/-/commit/2443380848fed7409db183f795df2e41e79bae81 [^]

Fixed BUG-45550: Unable to retrieve approval information when reprinting a ticket

When the PaidReceipts model was loaded the ticket approvals were only loaded if it
was a Layaway, also the list of approvals was returned as "approvedList" in the json.
To fix that, for already paid and approved orders always is returned the 'approvals'
as a the "approvedList" json property.

---
M src/org/openbravo/retail/posterminal/PaidReceipts.java
---
(0125403)
guillermogil (manager)
2021-01-13 07:14

Reopened as it is not working:

On a load ticket information is in:
OB.MobileApp.model.receipt.get('approvedList');
[{
    approvalType: "OBDMM_approval.discounts",
    userContact: "CAFF2A3D4037450BBAFC3923B1F41D76"
    },{
    approvalType: "OBPOS_approval.setPrice",
    userContact: "66196333F6C04E118ACC7709099C9024"
}]

Variable is wrong, should be approvals instead of approvedList
Also there are some missing information:

Example of the standard ticket
OB.MobileApp.model.receipt.get('approvals')
[{
    approvalType: {…}, userContact: "66196333F6C04E118ACC7709099C9024", lines: Array(1), created: 1610518296064
    },{
    approvalType: {…}, userContact: "CAFF2A3D4037450BBAFC3923B1F41D76", created: 1610518302215, lines: Array(1)
]}

Information should be exactly the same
(0125463)
adrianromero (manager)
2021-01-14 16:34

Closed as the initial fix is OK for the approvals functionality included in org.openbravo.retail.posterminal.

- Issue History
Date Modified Username Field Change
2020-12-09 18:55 lmonreal New Issue
2020-12-09 18:55 lmonreal Assigned To => Retail
2020-12-09 18:55 lmonreal Triggers an Emergency Pack => No
2020-12-10 08:10 guillermogil Description Updated View Revisions
2020-12-10 08:10 guillermogil Steps to Reproduce Updated View Revisions
2020-12-10 08:10 guillermogil Proposed Solution updated
2020-12-21 17:54 markmm82 Assigned To Retail => markmm82
2020-12-28 17:01 markmm82 Status new => scheduled
2021-01-08 13:23 hgbot Note Added: 0125329
2021-01-12 09:50 hgbot Resolution open => fixed
2021-01-12 09:50 hgbot Status scheduled => closed
2021-01-12 09:51 hgbot Note Added: 0125362
2021-01-12 09:51 hgbot Fixed in Version => RR21Q2
2021-01-12 09:51 hgbot Note Added: 0125363
2021-01-13 07:14 guillermogil Note Added: 0125403
2021-01-13 07:14 guillermogil Status closed => new
2021-01-13 07:14 guillermogil Resolution fixed => open
2021-01-13 07:14 guillermogil Fixed in Version RR21Q2 =>
2021-01-13 14:08 markmm82 Status new => scheduled
2021-01-14 16:34 adrianromero Note Added: 0125463
2021-01-14 16:34 adrianromero Status scheduled => resolved
2021-01-14 16:34 adrianromero Fixed in Version => RR21Q2
2021-01-14 16:34 adrianromero Resolution open => fixed
2021-01-14 16:34 adrianromero Review Assigned To => adrianromero
2021-01-14 16:34 adrianromero Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker